fai (6.4) unstable; urgency=low

  * Add FAI configs for UEFI environment for Rocky Linux and Almalinux
  * packages_config: add support for boolean expressions with FAI
    classes in PACKAGES line
    e.g.: PACKAGES install UBUNTU && XORG && ! MINT
  * new implementation of command ifclass also supports boolean
    expression
  * fai-kvm: add support for UEFI variables

 -- Thomas Lange <lange@debian.org>  Wed, 16 Apr 2025 10:28:52 +0200

fai (6.3) unstable; urgency=low

  * Add Alma Linux to profiles menu
  * FAI now uses the dracut overlayfs module instead of the Debian
    specific dracut module overlay-root. You need dracut >= 100 for that.
    The kernel cmdline options need to be adjusted.

    # For PXE boot using NFS (used in pxelinux.cfg/ configs):
    OLD: rootovl
    NEW: rd.live.overlay.overlayfs

    # For booting an ISO (used inside any grub.cfg):
    OLD: rd.live.image
    NEW: rd.live.overlay.overlayfs

    For bookworm use the dracut package from bookworm-bpo
    106-5~bpo12+1 which is also available in the fai-project.org
    package repository.

 -- Thomas Lange <lange@debian.org>  Tue, 25 Mar 2025 13:19:42 +0100

fai (6.2) unstable; urgency=low

  * fai-cd can now create live images
  * easy installation of packages from /pkgs/<CLASS> directories
  * Use systemd during installation
  * New feature: run FAI inside a screen or tmux session
  * fai-diskimage: do not use compression of qemu-img which is slow
    instead provide .qcow2.zst, add option -C
  * fai-kvm: add support for booting from USB storage
  * new tool mk-data-partition adds a data partition to an ISO
  * new helper functions for creating custom list of disks
  * new method detect:// for FAI_CONFIG_SRC

 -- Thomas Lange <lange@debian.org>  Wed, 17 Jan 2024 18:55:02 +0100

fai (6.0) unstable; urgency=low

  * enhance disk_config format for partition label support
  * support partition labels and partition uuids in fstab
  * support for Alpine Linux and Arch Linux package managers
  * use zstd instead of gzip
  * add support for release specification in PACKAGES line
    via release=<name>
  * fai-chboot: variable substitution for $IP and $HOST when coping a
    template
  * all customization scripts now write to scripts.log. The old
    behaviour can be enable by setting $FAI_USE_OLD_SCRIPT_LOGS
  * drop support of .asc signatures of your repository, use .gpg
    instead
  * add support for NVme devices in fai-kvm
  * rename CENTOS classes to ROCKY
  * add ssh key for root remote access using classes

 -- Thomas Lange <lange@debian.org>  Sun, 13 Nov 2022 00:17:41 +0100

fai (5.10) unstable; urgency=low

  * fai-sed: change exit value if file was changed, add options -E, -n

 -- Thomas Lange <lange@debian.org>  Sat, 05 Dec 2020 17:46:01 +0100

fai (5.9) unstable; urgency=low

  * add UEFI support to fai-cd, fai-kvm
  * add disk configs for UEFI
  * new scripts fai-sed, fai-link

 -- Thomas Lange <lange@debian.org>  Thu, 02 Jan 2020 22:23:36 +0100

fai (5.8.7) unstable; urgency=low

  * support apt keys in files called package_config/CLASS.gpg
  * fai-mirror: new option -V

 -- Thomas Lange <lange@debian.org>  Tue, 17 Sep 2019 14:48:21 +0200

fai (5.8) unstable; urgency=low

  * fcopy: change the precedence of mode handling

 -- Thomas Lange <lange@debian.org>  Fri, 08 Feb 2019 23:16:40 +0100

fai (5.7) unstable; urgency=low

  * The config examples are now in a separate git repo. See README for
    more infos
  * Add support for diskless clients in setup-storage
  * Ubuntu installation now default to 18.04 LTS aka Bionic release

 -- Thomas Lange <lange@debian.org>  Thu, 31 May 2018 22:41:20 +0200

fai (5.6) unstable; urgency=low

  * When installing the package fai-server, use the repository
    from fai-project.org by default for building the nfsroot

 -- Thomas Lange <lange@debian.org>  Wed, 28 Feb 2018 11:48:16 +0100

fai (5.5.4) unstable; urgency=low

  * New option -P for fai-make-nfsroot also preserves the ssh host
    keys
  * fai-diskimage: add support for raw.xz and raw.zst

 -- Thomas Lange <lange@debian.org>  Fri, 23 Feb 2018 13:08:40 +0100

fai (5.5) unstable; urgency=low

  * New option -S in fcopy for variable substitution, which may replace
    your preinst scripts
  * Get rid of the need to have aptitude installed
  * Change order of package commands in install_packages, aptitude is now
    called after apt-get

 -- Thomas Lange <lange@debian.org>  Thu, 19 Oct 2017 22:47:20 +0200

fai (5.4) unstable; urgency=low

  * FAI can now build cross-architecture disk images and chroot
    environments for foreign architectures
  * Add support for eMMC storages
  * Disk images can use LVM partitions even if the host also uses LVM
  * Use http://deb.debian.org as default for Debian package repositories

 -- Thomas Lange <lange@debian.org>  Tue, 26 Sep 2017 14:57:00 +0200

fai (5.2) unstable; urgency=low

  * new command fai-diskimage creates bootable disk images for your VM

 -- Thomas Lange <lange@debian.org>  Fri, 30 Sep 2016 19:33:47 +0200

fai (5.0) unstable; urgency=low

  * major rewrite of the FAI guide
  * new autodiscover function, the client is searching the network
    for a FAI server
  * FAI profiles extend the FAI class concept
  * FAI shows a curses based menu for selecting a profile on demand
  * ready-to-go setup of the FAI server using the FAI CD or USB stick
  * ready-to-go FAI profile for CentOS 7 and Ubuntu 14.04
  * Cloning machines using an image (hook debconf.IMAGE)
  * action sysinfo now also mounts lvm and RAID devices
  * use httpredir.debian.org as default
  * fai-cd now uses dracut instead of live-boot,
    use of squashfs creates smaller CD images,
    fai-cd replaces fai-nfsroot2image
  * files *.source are renamed to .sh
  * dnf support for rpm based distributions
  * improved btrfs support
  * new command fai-kvm for starting a virtual machine
  * new command fai-mk-network for setting up different test networks
  * fai-cd: no networking for the rescue boot entry by default

 -- Thomas Lange <lange@debian.org>  Fri, 30 Sep 2016 15:16:31 +0200

fai (4.3) unstable; urgency=low

  * add btrfs support to setup-storage

 -- Thomas Lange <lange@debian.org>  Mon, 06 Oct 2014 10:33:21 +0200

fai (4.2) unstable; urgency=low

  - fai-cd now builds a hybrid ISO image

 -- Thomas Lange <lange@debian.org>  Fri, 23 May 2014 13:46:47 +0200

fai (4.0) unstable; urgency=low

  - New script names:
    faimond     -> fai-monitor
    faimond-gui -> fai-monitor-gui
    make-fai-nfsroot -> fai-make-nfsroot
    disk-info   -> fai-disk-info
  - make-fai-nfsroot.conf renamed to nfsroot.conf
  - task prepareapt renamed to repository
  - task mirror was removed and is now part of task repository
  - add task tests to action dirinstall and softupdate
  - old tool setup_harddisks removed. Use setup-storage instead
  - new script fai-nfsroot2image
  - new script fai-new-mac
  - new variables $FAI_BASEFILEURL adds support for receiving basefile via
    ftp and http
  - multicore support in fai-make-nfsroot (rm and xz compression is done
    in the background
  - huge speedup in fai-make-nfsroot using ramdisk (package installation
    is twice as fast)
  - ifclass new options -a and -o
  - fai-make-nfsroot new option -a, -g, -l, remove -U, -r
  - fai-make-nfsroot dracut is now the default initramfs creator inside
    the nfsroot which replaces live-boot and initramfs-tools
  - fai-monitor-gui: add option -s
  - *.asc files are loaded by class names
  - the variable $FAI does not need to be set in fai.conf, since all
    scripts use the default value of /var/lib/fai/config
  - add support for python, ruby and zsh scripts to fai-do-scripts
  - fai-chboot must specify the config space URL
  - fai-chboot: new option -E
  - FAI supports NFS v4 using dracut
  - install apt keys from /etc/fai/apt/keys into nfsroot
  - fcopy can copy symlinks using -H
  - FAI can work without any NFS access
  - action softupdates now calls task repository
  - add dracut support
  - new FAI_FLAG halt
  - add variable AINSL_TARGET
  - new log file fai-monitor.log on the install client

 -- Thomas Lange <lange@debian.org>  Tue, 10 Apr 2012 11:48:33 +0200

fai (3.4.4) unstable; urgency=low

  - This stable release is targeted towards Debian/squeeze but continues
    to provide support for older Debian releases as well.
    If you want to deploy the Debian lenny release please see
    /usr/share/doc/fai-doc/lenny-instructions.txt for instructions.

  - Please note that due to Debian's switch from /bin/bash to /bin/dash
    as default /bin/sh shell your scripts/hooks/... should use
    /bin/bash in the shebang line if you're using the environment of FAI.
    Otherwise you might notice problems like "ifclass" not being defined.

  - FAI project homepage moved to its own domain http://fai-project.org/
    Along with the new web home also the wiki moved.
    If your sources.list configuration includes something like:

      deb http://www.informatik.uni-koeln.de/fai/download lenny koeln

    please change it to the new URL accordingly, like:

      deb http://fai-project.org/download lenny koeln

 -- Michael Prokop <mika@debian.org>  Thu, 14 Oct 2010 17:29:35 +0200

fai (3.3) unstable; urgency=low

  - variable FAI_CONFIGDIR moved from fai.conf to make-fai-nfsroot.conf
  - automatic tests are now supported
  - dirinstall now uses FAI_CONFIG_SRC instead of FAI_CONFIGDIR
  - files named package_config/*.asc are added to the list of apt keys
  - cvs, bootpc, expect and mdetect are not installed by default into the
    nfsroot

 -- Thomas Lange <lange@debian.org>  Tue, 03 Nov 2009 09:35:06 +0100

fai (3.2.8) unstable; urgency=low

  - new partition tool setup-storage added

 -- Thomas Lange <lange@debian.org>  Sun, 15 Jun 2008 12:47:16 +0200

fai (3.2.2) unstable; urgency=low

  - LOGDIR is now /var/log/fai/$HOSTNAME/$FAI_ACTION_date+time
  - LOGDIR is /tmp/fai during an installation (not dirinstall), and
    will be copied to the path above at the end of an installation

 -- Thomas Lange <lange@debian.org>  Fri, 16 Nov 2007 17:46:49 +0100

fai (3.2) unstable; urgency=low

  - replace special fai-kernels with plain Debian kernel and an initrd
    build by initramfs ($KERNELPACKAGE removed)
  - FAI uses live-initramfs for booting, the whole nfsroot is now
    writeable for the clients (by using unionfs)
  - fai-cd can create bootable USB sticks
  - major update to the fai guide
  - scp/ssh are now the default methods instead of rcp/rsh when
    contacting the install server
  - faimond can now call fai-chboot (instead of rsh/ssh call)
  - Task extrbase can also extract files from directory ../basefiles/
  - /tmp/target is now /target

 -- Thomas Lange <lange@debian.org>  Tue, 21 Aug 2007 17:43:30 +0200

fai (3.1) unstable; urgency=medium

  - rename action dirinst to dirinstall
  - fai: add option -u,--hostname

 -- Thomas Lange <lange@debian.org>  Wed, 18 Oct 2006 16:18:36 +0200

fai (3.0) unstable; urgency=low

  - WARNING: the fai-guide does not yet reflect the changes from FAI 2 to FAI 3
  - rename NEWS to NEWS.Debian
  - /etc/fai/sources.list moved to /etc/fai/apt/sources.list
  - lots of new pathes:
    use /srv/tftp/fai instead of /boot/fai
    use /srv/tftp/fai/pxelinux.cfg instead of /boot/fai/pxelinux.cfg
    use /srv/fai/config  instead of /usr/local/share/fai
    use /srv/fai/nfsroot instead of /usr/lib/fai/nfsroot
    use /var/lib/fai/config instead of /fai
    use /var/lib/fai/mirror instead of /mnt
  - changed file names
    variables.sh is now variables.log
  - new config file /etc/fai/NFSROOT which contains the package list
    for the nfsroot
  - changes in variables
    remove FAI_REMOTESH and FAI_REMOTECP from fai.conf,
     use FAI_LOGPROTO instead
    remove $installserver and $mirrorhost in fai.conf
    replace FAI_LOCATION by FAI_CONFIG_SRC, use default if undefined:
      "nfs://`hostname`$FAI_CONFIGDIR"
    LOGSERVER, LOGREMOTEDIR, LOGPASSWD removed from fai.conf, set
      them in the config space
    MNTPOINT now set to /media/mirror
    SERVERINTERFACE not needed by default in make-fai-nfsroot.conf
    NFSROOT moved to make-fai-nfsroot.conf
    FAICLIENTS, NFSROOT_PACKAGES removed from make-fai-nfsroot.conf
    $terror renamed to $task_error
    all flags from FAI_FLAGS are now defined as $flag_xxx
    $time_zone renamed to $TIMEZONE
    $videodrv renamed to $VIDEODRIVER
    $FAI_CONSOLEFONT renamed to $CONSOLEFONT
    $FAI_KEYMAP renamed to $KEYMAP
    $rootpw renamed to $ROOTPW
    $moduleslist renamed to $MODULESLIST
    new variable FAI_ALLOW_UNSIGNED
  - task_updatebase does not use updatebase.log any more
  - task_updatebase now logs to fai.log
  - all IP addresses of the install server are added to $NFSROOT/etc/hosts
  - automatic reboot if no errors are found (if error.log is empty)
  - new task dirinst for creating a chroot environment
  - try ftar $FAI/basefiles before extracting base.tgz
  - install_packages: new option -p (see man install_packages)
  - make-fai-nfsroot: add option -V (see man make-fai-nfsroot)
  - fai-chboot: change in options, -d is now -D, -r is now -d, -r is
    not used any more
  - add policy-rc.d support
  - move some -c to -C, so now all scripts use -C for cfdir, setting
    $FAI_ETC_DIR does the same
  - fai-cd can now eject the CD after installation
  - fai-mirror remove option -a (now default), add -B
  - default is kernel 2.6.17
  - convert cfengine (version 1) scripts to cfengine2
  - rename class XFREE to XORG
  - new script ainsl, implements AppendIfNoSuchLine from cfeninge in Perl
  - config space can be checked out from a subversion repository

 -- Thomas Lange <lange@debian.org>  Wed, 27 Sep 2006 14:41:11 +0200

fai (2.10.1) unstable; urgency=low

  - minor fix in fai-chboot
  - packages in /files/packages are not supported any more
  - fai-mirror: add option -C
  - fai-cd: add option -C, grub menu now shows FAI version
  - after the installation you can leave the FAI-CD in the drive,
    since it now boot from local disk by default
  - FAI_FLAG syslogd was removed, syslogd is now started by default

 -- Thomas Lange <lange@debian.org>  Thu, 20 Apr 2006 11:46:12 +0200

fai (2.10) unstable; urgency=low

  - add option -n to fcopy
  - several new listing options for fai-chboot, add option -c for
    copying PXE configurations
  - verbose output when defining variables
  - add urpmi and yum support to install_packages
  - add new subroutine mkrw(), which makes read-only directories
    writeable. Very cool and usefull thing until we can use unionfs
  - When booting from fai-cd the config space /fai is now writeable
  - class FAISERVER sets up an apt-proxy

 -- Thomas Lange <lange@debian.org>  Mon,  3 Apr 2006 15:11:30 +0200

fai (2.9.1) unstable; urgency=low

  - new class FAISERVER can install the fai install server from CD
  - new command fai-statoverride
  - some bug fixes

 -- Thomas Lange <lange@debian.org>  Sun,  5 Mar 2006 22:37:31 +0100

fai (2.9) unstable; urgency=low

  - lots of bug fixes
  - splitting the FAI package into more packages:
    fai-server, fai-client, fai-nfsroot, fai-doc, fai-quickstart
  - use a 2.6 kernel by default
  - Config scripts named S[0-9][0-9]* are not executed any
    more. Rename them to match [0-9][0-9]*.
  - fcopy now supports a preinst script, add option -U, ignore .svn
    directories
  - new option -I for make-fai-bootfloppy can specify default
    interface, new option -B creates 2.88M floppy
  - use md5 hash for passwords
  - backticks and variables can't be used in package_config any more
  - root-path does not need to be defined in dhcpd.conf any more
    (fai-chboot does it for you)
  - fai-cd's El Torito boot image is not limited to 2.88M any more

 -- Thomas Lange <lange@debian.org>  Tue, 13 Dec 2005 15:53:00 +0100

fai (2.8.4) unstable; urgency=high

  - small but important bug fix: remove non-US entry

 -- Thomas Lange <lange@debian.org>  Wed, 25 May 2005 13:59:39 +0200

fai (2.8.3) unstable; urgency=high

  - remove debconf support for package itself, debconf support for
    the installation was not removed

 -- Thomas Lange <lange@debian.org>  Thu, 19 May 2005 15:54:18 +0200

fai (2.8.2) unstable; urgency=high

  - close some bugs, which occured when using softupdates

 -- Thomas Lange <lange@debian.org>  Fri,  6 May 2005 09:23:34 +0200

fai (2.8.1) unstable; urgency=low

  - minor bug fixes
  - added $COLOR_FAI_LOGO which is off unless doing initial
    installations
  - added german and french translation of the debconf templates
  - task sysinfo mounts the local partitions read only
  - move some classes from 10-base-classes to the new script
    50-host-classes
  - fixed a lot of typos in the fai guide

 -- Thomas Lange <lange@debian.org>  Sat, 30 Apr 2005 21:20:53 +0200

fai (2.8) unstable; urgency=high

  - rename rcS_fai to fai, add manual page fai.8
  - new simple examples using class FAIBASE
  - add debconf support for the package itself
  - new action softupdates, update a system without reinstallation
  - fai-do-scripts now executes scripts matching [0-9][0-9]*
  - rcS.log is now fai.log
  - major updates in fai-guide (softupdate, fai on other archs)
  - add task prepareapt
  - variable $addpackages removed from examples scripts

 -- Thomas Lange <lange@debian.org>  Sat,  9 Apr 2005 23:43:27 +0200

fai (2.7) unstable; urgency=high

  - closes grave and important bugs
  - add fai-cd(8) script for creating a bootable FAI CD image
  - add option -a to fai-mirror
  - add option -d to install_packages

 -- Thomas Lange <lange@debian.org>  Fri, 25 Mar 2005 23:51:34 +0100

fai (2.6.7) unstable; urgency=low

  - add task debconf and new script fai-debconf for preseeding
  - minor updates in the fai guide

 -- Thomas Lange <lange@debian.org>  Thu, 10 Mar 2005 11:00:05 +0100

fai (2.6.6) unstable; urgency=medium

  - new command fai-mirror(1) to create a partial Debian mirror
  - setup_harddisks: bug fix: error redefined mountpoint is wrongly
    reported, allow space before keywords primary and logical
  - install_packages: add option -f
  - task_sysinfo calls hwinfo if available (very nice hardware info)
  - 06hwdetect.source: SCSI detect code for 2.6 kernel
  - new variable FAICLIENTS in make-fai-nfsroot.conf. Used by
    fai-setup for exporting the nfsroot and the config space via NFS
  - create a list of all packages in base.tgz (for fai CD)
  - ftar: test if directory is / before removing files recursively
  - enable shadow passwords for passwd and group in examples
  - save files FAI_CLASSES, variables.sh and disk_var.sh to
    /var/log/fai not to /etc/fai
  - add supprt for booting from CD
  - other bug fixes

 -- Thomas Lange <lange@debian.org>  Fri, 21 Jan 2005 04:24:26 +0100

fai (2.6.5) unstable; urgency=medium

  - fcopy now handles svn and arch subdirectories, added option -I
  - install_packages does not remove unknown package names when
    using aptitude, so aptitude's search patterns can be used

 -- Thomas Lange <lange@debian.org>  Thu, 11 Nov 2004 15:14:08 +0100

fai (2.6.4) unstable; urgency=medium

  - bug fixes
  - install_packages and files in package_config/ have now support
    for aptitude

 -- Thomas Lange <lange@debian.org>  Mon,  8 Nov 2004 14:38:58 +0100

fai (2.6.3) unstable; urgency=high

  - make $rootpw not readable for users
  - use default kernel 2.4.27
  - fai-setup: add option -e
  - make-fai-nfsroot: add option -K
  - add xfs support into the nfsroot
  - define kernel parameters using $kappend

 -- Thomas Lange <lange@debian.org>  Mon, 13 Sep 2004 18:40:36 +0200

fai (2.6.2) unstable; urgency=high

  - Workaround to support new tasksel behaviour
  - fix broken grub entry when using class FAI_BOOTPART
  - fai-chboot: add option -e

 -- Thomas Lange <lange@debian.org>  Thu, 26 Aug 2004 20:09:15 +0200

fai (2.6.1) unstable; urgency=medium

  - new option -k for make-fai-nfroot only installs a new kernel
  - catnc() greps now through multiple files
  - when logging in with ssh all variables for FAI are defined by
    sourcing /tmp/fai/variables.sh
  - faireboot sends message to fai monitor daemon
  - install_packages now supports taskrm (which calls tasksel
    remove), default number of packages that are install with one
    command is set to 99
  - better support for installing a client with a different hostname
    than during installaion

 -- Thomas Lange <lange@debian.org>  Mon,  9 Aug 2004 14:02:13 +0200

fai (2.6) unstable; urgency=low

  - make FAI ready-to-use for sarge
  - make the examples much easier, remove a lot of unused stuff
  - fai.conf is split into two files, make-fai-nfsroot specific
    variables are moved to /etc/fai/make-fai-nfsroot.conf
  - make-fai-nfsroot: more packages for hardware detection included,
    write a warning if $FAI_SOURCES_LIST is used
  - rcS_fai: if a file /.nocolorlogo exists, do not enable colored
    logo and let scroll region unchanged
  - 06hwdetect.source: better hardware detection uses discover2,
    load all pci IDE drivers, enables DMA mode for disks, include
    code of 11modules.source
  - task_sysinfo: show serial numbers of hard disks, show usb
    information
  - tasks can set return code ($terror) so faimond receives it
  - faimond receives more messages
  - fai-chboot: new options -d, can use localboot, so we need not
    copy the kernel image and initrd to the install server
  - grub-install does not probe floppy drive (which can hang the system
    for a long time)
  - install_packages: add option -L, new code for detecting unknown
    package names which uses perl module AptPkg
  - mkdebmirror: mirrors now woody and sarge in one directory

 -- Thomas Lange <lange@debian.org>  Mon, 26 Jul 2004 17:22:44 +0200

fai (2.5.4) unstable; urgency=low

  - fix bug in make-fai-bootfloppy when using -f
  - make-fai-bootfloppy: added option -i that creates a bootable
    ISO9960 cdrom image
  - some sparc and PowerPC adjustments

 -- Thomas Lange <lange@debian.org>  Thu, 26 Feb 2004 17:07:31 +0100

fai (2.5.3) unstable; urgency=low

  - default kernel is 2.4.24
  - add option -c to make-fai-{nfsroot,bootfloppy} to define a
    different configuration directory than /etc/fai
  - make-fai-bootfloppy: add option -c and -F, now DHCP is the
    default protocol when -d is not used
  - fai.conf: exclude more packages from debootstrap
    adjust KERNELPACKAGE to new name (since fai-kernels_1.6)
    put important variables to the top
    remove some comments
  - fai-chboot: new option -S sets FAI_ACTION=sysinfo
  - The variable FAI_SOURCES_LIST is now obsolete,
    use /etc/fai/sources.list or /etc/apt/sources.list instead
  - new examples for sources.list in
    /usr/share/doc/fai/examples/etc/sources.list
  - remove some packages that are not needed and not available in
    sarge
  - utility chkdebnames mostly rewritten
  - package recommends mknbi, and does not work with netboot package
    when using BOOTP

 -- Thomas Lange <lange@debian.org>  Wed,  4 Feb 2004 14:42:40 +0100

fai (2.5.2) unstable; urgency=low

  - fai monitor daemon added, see faimond(8)
  - colored copyright message on console
  - variable hdparm included again; can be used if the kernel does
    not enables DMA for brand new IDE controllers by default
  - package names can contain pinning information
  - preferences file is copied from /etc/fai if it exists
  - default kernel version is 2.4.22
  - bug fixes

 -- Thomas Lange <lange@debian.org>  Tue,  6 Jan 2004 15:20:10 +0100

fai (2.5.1) unstable; urgency=low

  - minor bug fixes
  - added chapter to the fai guide how to receive the configuration
    space using CVS
  - initrd support when booting new kernel via network

 -- Thomas Lange <lange@debian.org>  Fri, 10 Oct 2003 14:58:16 +0200

fai (2.5) unstable; urgency=low

  - a new section in the manual which describes a simple
    installation example. Read the chapter 'For the impatient user'
  - old templates now split into simple and advanced examples. They
    are located in /usr/share/doc/fai/examples/{simple,advanced}
  - added script fai-chboot which manages the network boot
    configuration files for PXE boot
  - the installation time is printed in seconds
  - menu entries for grub now works also if /boot is a separate
    partition
  - number of packages installed at a time can be limited (use
    $MAXPACKAGES)
  - log files can be saved using FTP protocol
  - the files in /fai/class that are list of classes can contain
    comment lines. All lines starting with a hash are ignored
  - syslogd now works during installation
  - add an grub entry for memtest86 if installed
  - do not fsck ext3 partitions
  - add -M option to fcopy
  - make-fai-nfsroot: new option -f; print error message if it fails
  - a new example configuration for a demo host using GNOME, DHCP
  - added XFS support to setup_harddisks
  - files class/*.mod and modules.log removed, use 11modules.source
    instead
  - packages for xfree server now in file/class XFREE
  - added SunOS support; you can install Solaris using FAI
  - bug fixes as always

 -- Thomas Lange <lange@debian.org>  Wed,  6 Aug 2003 16:02:26 +0200

fai (2.4.1) unstable; urgency=low

  - use dhcp3, dhcp support was broken in FAI 2.4
  - disk_config examples are using ext3 file systems
  - add SERVERINTERFACE to fai.conf
  - add FAI_BOOT to fai.conf; the list of boot protocols to set
    up (boot or dhcp or both)
  - DHCP install kernel file /boot/fai/installkernel renamed to
    vmlinuz-install
  - new script fai-do-scripts; include the functions from do_script
    and task_configure, this makes the Solaris port easier
  - some bug fixes

 -- Thomas Lange <lange@debian.org>  Thu,  3 Apr 2003 16:57:12 +0200

fai (2.4) unstable; urgency=low

  - Era Erikson did some great work on proofreading all manuals and
    script comments. Great work Era!
  - lots of updates in the fai guide
  - use the script fai-class for defining classes; scripts in class/
    must not have prefix S; the following command renames your
    existing scripts so they will work with the new command:
    rename 's/S(\d\d.+)(\.sh|\.pl)/$1/' S*
    the order of scripts executed has slightly changed; all classes
    from the file $HOSTNAME are defined after the scripts in class/
    are executed; the suffix .sh or .pl is not needed any more,
    fai-class has a manual page
  - kernel 2.4.20 is the default kernel during installation
  - USB keyboard support during installation
  - make-fai-bootfloppy creates a more generic boot floppy which
    uses grub or lilo as boot loader, it supports more than one boot
    protocol, more disk space is available on the floppy
  - the exit status of every hook and script is written to
    status.log
  - the hook faiend.LAST parses all log files for warnings and
    errors and writes them to error.log
  - variable.sh lists all variables defined after task defvar has finished
  - FAI_LOCATION is now defined in fai.conf, FAI_ACTION is defined
    in LAST.var, do not use T170 and T171 via a BOOTP or DHCP server
    (but it is still possible)
  - hooks can make their tasks to be skipped (as in fai 2.2)
  - templates scripts and config files has been rewritten and added
    (eg. WWWKIOSK, a notebook with Windows and Linux)
  - a new default location for the Debian mirror (in mkdebmirror and
    fai.conf)
  - much of reorganizing the code, but this does not change the user
    visible behavior
  - some functions that were defined as shell subroutines are now
    separate scripts in /usr/lib/fai (fai-class, create_ramdisk,
    prepare_apt, fai-divert, fai-savelog, task_sysinfo, ...), they
    are not standalone script, most of them only work in the fai
    environment, this should solve the problems with a too big
    environment (when using xargs)
  - PATH always starts with /usr/local/{sbin,bin}
  - new FAI_FLAG syslogd starts log daemons (syslogd and klogd) only
    on demand
  - save log files to host $LOGSERVER if defined, otherwise use
    $SERVER
  - make-fai-nfsroot always does setup for dhcp and bootp, and uses
    following sources to create the file sources.list for the
    nfsroot: the variable $FAI_SOURCES_LIST or the files
    /etc/fai/sources.list or /etc/apt/sources.list
  - you can add a list of classes after the PACKAGE command in files
    in package_config, so the following packages will only be
    installed for this class (Please only use this in the file
    package_config/DEFAULT)
  - fcopy has new option -i and -B
  - the variable addpackages can contain a list of packages without
    their version number, therefore /fai/files/packages should be a
    simple repository
  - a lot of bug fixes

 -- Thomas Lange <lange@debian.org>  Thu, 13 Feb 2003 11:45:29 +0100

fai (2.3.4) unstable; urgency=low

  - the default name for fai kernel-image package has changed to
    kernel-image-2.2.20_fai1_i386.deb, since the package fai-kernel
    >=1.4 contains install kernels which support both the BOOTP and
    DHCP protocol

 -- Thomas Lange <lange@debian.org>  Thu, 16 May 2002 14:42:00 +0200

fai (2.3.3) unstable; urgency=medium

  - important bug fix (wrong symlink for rcS_fai)
  - copy id_dsa* and id_rsa* files in make-fai-nfsroot
  - use strict enabled in perl scripts
  - add "append ip=dhcp" in pxelinux.cfg/default
  - minor changes in package_config files
  - setup_harddisks default fs type changed from auto to ext2

 -- Thomas Lange <lange@debian.org>  Thu, 16 May 2002 09:27:15 +0200

fai (2.3.2) unstable; urgency=low

  - minor bug fixes
  - minor changes in package_config files
  - use discover command for hardware detection and loading of scsi
    kernel modules in class/S03hwdetect.source
  - use swap partitions during installation if available

 -- Thomas Lange <lange@debian.org>  Mon, 29 Apr 2002 19:47:39 +0200

fai (2.3.1) unstable; urgency=low

  - some minor bug fixes
  - add variable $addpackages to DEFAULT.var
  - $FAI_SUBDIR renamed to $FAI_SHAREDIR (fai.conf)
  - changes in package_config files
  - additional method to determine all ethernet devices
  - manual updates for woody
  - added a lot of comments into shell script
  - add option -m to make-fai-bootfloppy

 -- Thomas Lange <lange@debian.org>  Tue, 16 Apr 2002 13:30:04 +0200

fai (2.3) unstable; urgency=low

  - all default configurations are for Debian 3.0 aka woody
  - /etc/fai.conf moved to /etc/fai/fai.conf
  - moved some variables from fai.conf to class/*.var
  - add FAI_DEBOOTSTRAP_OPTS to fai.conf
  - temporary files are stored to $LOGDIR (default to /tmp/fai/),
    can be set in fai.conf using mktemp if desired
  - log files for every new run are stored in a separate directory,
    last-$FAI_ACTION is pointing to the last log directory
  - if a task is skipped, also all its hooks are skipped
  - uname -s in uppercase is also a default class
  - all class/S[0-9]*.source scripts are sourced
  - hooks that end in .source are sourced (formerly .sh), so they
    can define variables
  - new adddivert routine; make a diversion for a file and add it to
    the list of all diversions; you need not care about removing the
    diversion; the finish task will do this for you
  - class/*.mod files can now define variables
  - new examples class/S30menu.source (was hook/install.MENU)
  - /fai can be a different location using $FAI in fai.conf
  - /fai can be retrieved from a CVS repository: (see variables
    FAI_LOCATION, FAI_CVSROOT, FAI_CVSMODULE) and create a
    /etc/fai/.cvspass
  - /etc/apt/preferences will be copied to nfsroot
  - additional manual pages for fai-setup, make-fai-nfsroot,
    make-fai-bootfloppy, install_packages
  - setup_harddisks: called with option -d (DOS alignment)
    support for ext3 and disk controllers using /dev/ida/, /dev/rd/
    and /dev/cciss (Compaq SMART2 raid array and Mylex DAC960 PCI
    RAID controller)
  - make-fai-bootfloppy can write to a file, creates environment for
    DHCP using pxelinux, does not copy System.map to floppy (now
    more space left for the kernel image), new option -s
  - bootpc and dhcp request will use only active network devices
    ($netdevices_up determined by netdevice_info()) by default,
    which can be overwritten with $netdevices
  - add a hint how to set up the kernel automounter for scratch
    partitions
  - fcopy skips CVS directories, executes postinst script if file
    was copied, new options -L and -P
  - added prtnetgr script which prints a flat list of all hosts
    belonging to a netgroup
  - execute all /fai/scripts/$class/S[0-9]* scripts if this
    directory exists, so it's possible to execute multiple scripts
    for one class; see examples in scripts/NETWORK/ and scripts/DEFAULT/
  - use shm (was tmpfs) for ramdisk if available
  - mkdebmirror uses passive ftp mode
  - task sysinfo calls kudzu
  - added THANKS file

 -- Thomas Lange <lange@debian.org>  Tue,  9 Apr 2002 18:29:15 +0200

fai (2.2.3) unstable; urgency=low

  - woody support improved, but the default configuration is still
    for potato
  - added disk configuration for Beowulf nodes
  - Wake on LAN section added to FAI guide
  - reiserfs support in setup_harddisks (thanks to Diane Trout)
  - make-fai-nfsroot -v output can be redirected to a file
  - sysinfo also uses detect and discover to probe for hardware
  - utilities moved to /usr/share/fai/utils
  - install_packages checks all package names. If a package name is
    misspelled, it will be removed from the installation list
  - added class NOGETTY
  - package_config: new action "hold", PRELOAD can use a file: url

 -- Thomas Lange <lange@debian.org>  Thu,  8 Nov 2001 17:01:02 +0100

fai (2.2.2) unstable; urgency=low

  - bug fix: getting dhcp information
  - added jmon to BEOWULF

 -- Thomas Lange <lange@debian.org>  Wed, 10 Oct 2001 10:52:35 +0200

fai (2.2.1) unstable; urgency=low

  - FAI_FLAGS can be space or comma separated. They must be space
    separated in bootptab. Use a comma to separate them as
    additional kernel parameters.
  - bootp requests on multiple ethernet devices show device name
    (Thanks to Geert Stappers)
  - script all_hosts doesn't use hardcoded list of hosts any more;
    now it uses the netgroup allhosts

 -- Thomas Lange <lange@debian.org>  Fri,  5 Oct 2001 17:19:14 +0200

fai (2.2) unstable; urgency=low

  - the fai guide has a new chapter about building a Beowulf cluster
  - new utilities for Beowulf cluster: all_hosts and rshall
  - new utility softupdate for updating packages on a running system
  - improved example for diskless hook
  - major reorganization of the rcS_fai code; most parts are moved
    to the subroutines file
  - source /fai/hooks/subroutines if file exists; here you can define
    your own subroutines or redefine FAIs subroutines
  - most tasks are now executed via task() and the name of the task
    as option. This subroutine looks for a hook with the given name
    and executes it. Hooks can skip the default task of FAI (called
    task_<name>) by using skiptask(). So, hooks can replace the
    default behavior, and not only add functions to the
    installation process
  - hooks can define classes by writing class names to
    /tmp/additional-classes and variable by writing line to
    /tmp/additional.var
  - new hooks/tasks added
  - classes and variables are now defined in the very beginning
    before task_action is called and $FAI_ACTION is evaluated
  - FAI_ACTION can be any user defined value. FAI is looking for a
    command in /fai/hooks/$FAI_ACTION and executes it.
  - log file prepare-apt.log renamed to updatebase.log
  - debian-non-US in local mirror script (mkdebmirror) has new location
  - new type "PACKAGE taskinst" in package_config can install new
    task packages (for Debian 3.0 and later releases)
  - get_bootp_inf() and get_dhcp_info() support multiple ethernet
    devices via $netdevices
  - $netdevices can be set or automaticly determined to the list of
    ethernet devices
  - make-fai-bootfloppy: handle symlinks of lilo 21.5 and newer
  - tlink can show symlink of a host or all file in /boot/fai
  - new classes NOSECURETTY, BEOWULF, NOTCPD

 -- Thomas Lange <lange@debian.org>  Fri, 14 Sep 2001 14:35:49 +0200

fai (2.1) unstable; urgency=low

  - NEWS file added (you found it already ;-), which contains the
    user visible changes; changelog file is for developers
  - woody support
  - define $FAI_DEBOOTSTRAP for using debootstrap
  - you can add your own functions using hooks (read the manual)
  - /fai/fai_config not used anymore, replaced by a hook
  - setup_harddisk does not complain when root partition is not in
    the first 8GB, do not complain if not a primary partition
  - no more problems when using other locales
  - support for diskless clients
  - grub support, new class LILO and GRUB
  - new flag createvt; add this to FAI_FLAGS to get two additional
    terminals and ctrl-c will interrupt the installation
    process. Otherwise ctrl-c will reboot and no terminals are
    available. In the past, this function was enabled by default.
    Add createvt to FAI_FLAGS to get the old behavior.
  - before any classes are defined using the scripts in /fai/class,
    the classes DEFAULT, $HOSTNAME and LAST are defined
  - new utility chkdebnames can check package names for a certain
    distribution

 -- Thomas Lange <lange@debian.org>  Fri, 20 Jul 2001 11:55:29 +0200
